/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include	"task.h"


int
cmp_htid(HTID a,HTID b)
{
	if ( a.valid != b.valid )
		return -1;
	if ( a.tid != b.tid )
		return -1;
	return 0;
}

HTID invalid_htid()
{
HTID ret;
	ret.valid = 0;
	ret.tid = 0;
	return ret;
}


